Index: trunk/language/pt_PT/admin.lang.php
===================================================================
--- trunk/language/pt_PT/admin.lang.php	(revision 12693)
+++ trunk/language/pt_PT/admin.lang.php	(revision 12848)
@@ -173,5 +173,4 @@
 $lang['You cannot move an album in its own sub album'] = 'Não pode mover um álbum para um dos seus sub-álbums.';
 $lang['You need to confirm deletion'] = 'Precisa confirmar a remoção';
-$lang['add tags'] = 'adicionar etiquetas';
 $lang['Associate to album'] = 'Associar ao álbum';
 $lang['associate to group'] = 'Associar ao grupo';
@@ -446,5 +445,4 @@
 $lang['default values'] = 'valores padrão';
 $lang['High filesize'] = 'Tamanho de ficheiro grande';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'Visitante não pode ser apagado';
 $lang['Default user cannot be deleted'] = 'Utilizador padrão não pode ser apagado';
@@ -477,5 +475,4 @@
 $lang['Status of user "%s" updated'] = 'Estatuto do utilizador "%s" foi atualizado';
 $lang['add new photos to caddie'] = 'adicionar novos itens ao carrinho';
-// --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = 'Não exibir';
 $lang['Classic display'] = 'Exibição clássica';
@@ -508,5 +505,4 @@
 $lang['Are you sure you want to install this plugin?'] = 'Você tem certeza de que você quer instalar este plugin?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Você tem certeza de que você quer instalar esta atualização? Você deve verificar se esta versão não necessita uma desinstalação.';
-$lang['%s has been successfully upgraded.'] = '%s foi atualizada com sucesso.';
 $lang['Plugin has been successfully copied'] = 'Plugin foi copiado com sucesso';
 $lang['You might go to plugin list to install and activate it.'] = 'Você deve ir à lista de plugins para instalar e ativá-lo.';
@@ -652,5 +648,4 @@
 $lang['Language has been successfully installed'] = 'Linguagem instalada com sucesso';
 $lang['Languages'] = 'Linguagens';
-$lang['last import'] = 'última importação';
 $lang['Main Page'] = 'Página Principal';
 $lang['Make this language available to users'] = 'Permitir aos utilizadores usar esta linguagem';
@@ -673,5 +668,4 @@
 $lang['Orphan tags deleted'] = 'Etiquetas orfãs removidas';
 $lang['Page end'] = 'Fim de Página';
-$lang['Password confirmation error.'] = 'Erro na confirmação da Palavra Passe.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Confirmação da Palavra Passe em falta. Por favor confirme a Palavra Passe escolhida.';
 $lang['Password is missing. Please enter the password.'] = 'Palavra Passe em falta. Por favor escreva a Palavra Passe.';
@@ -684,5 +678,4 @@
 $lang['Please wait...'] = 'Aguarde por favor...';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader significa <em>Piwigo Uploader</em>. Directamente do seu computador, pLoader prepara as suas fotos e transfere-as para a sua galeria de fotos Piwigo.';
-$lang['predefined filter'] = 'filtro predefinido';
 $lang['Privacy level set to "%s"'] = 'Nível de privacidade definido para "%s"';
 $lang['Read Piwigo Documentation'] = 'Ler Documentação Piwigo';
@@ -745,7 +738,4 @@
 $lang['Who can see these photos?'] = 'Quem pode ver estas fotos?';
 $lang['Who can see this photo?'] = 'Quem pode ver esta foto?';
-$lang['with no album'] = 'sem álbum';
-$lang['with no tag'] = 'sem etiquetas';
-$lang['with no virtual album'] = 'sem álbum virtual';
 $lang['You have %d orphan tags: %s.'] = 'Tem %d etiquetas orfãs: %s.';
 $lang['Your configuration settings are saved'] = 'A sua configuração foi guardada';
@@ -803,5 +793,24 @@
 $lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'As seguintes estensões poderão não ser compatíveis com a nova versão de Piwigo:';
 $lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Os seguintes temas poderão não ser compatíveis com a nova versão de Piwigo:';
-
+$lang['Add to caddie'] = 'Adicionar ao carrinho';
+$lang['%s has been successfully updated.'] = '%s foi atualizado com sucesso.';
+$lang['%s photos can not be regenerated'] = '%s fotos não puderam ser criadas';
+$lang['%s photos have been regenerated'] = '%s fotos foram criadas';
+$lang['%s thumbnails can not be regenerated'] = '%s miniaturas não puderam ser criadas';
+$lang['%s thumbnails have been regenerated'] = '%s miniaturas foram criadas';
+$lang['(this tag will be deleted)'] = '(esta tag será excluída)';
+$lang['... or '] = '... ou ';
+$lang['Add tags'] = 'inserir tags';
+$lang['Allowed file types: %s.'] = 'tipos de arquivos permitidos: %s.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Resolução máxima aproximada %dM pixels (qual\'s %dx%d pixels).';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Por padrão,o Piwigo irá criar um novo tamanho web da versão em alta resolução da sua foto.';
+$lang['Confirm merge'] = 'Confirmar fusão';
+$lang['Create'] = 'Criar';
+$lang['Crop'] = 'Cortar';
+$lang['Follow Orientation'] = 'Siga a orientação';
+$lang['Graphics Library'] = 'Biblioteca Gráfica';
+$lang['Height'] = 'Altura';
+$lang['hide details'] = 'Ocultar detalhes';
+$lang['High dimensions'] = 'Dimensões em alta resolução';
 
 ?>