Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 12868)
+++ /trunk/language/ar_SA/common.lang.php	(revision 12869)
@@ -54,6 +54,6 @@
 $lang['All tags'] = 'كل الكلمات الدلائلية';
 $lang['Any tag'] = 'أي كلمة';
-$lang['At least one listed rule must be satisfied.'] = 'على الاقل واحده لهذه يجب ان تكو مستوفية.';
-$lang['Author'] = 'بواسطة:';
+$lang['At least one listed rule must be satisfied.'] = 'على الاقل واحده لهذه يجب ان تكون مستوفية.';
+$lang['Author'] = 'بواسطة :';
 $lang['Albums'] = 'الألبومات';
 $lang['Album'] = 'البوم';
@@ -84,5 +84,5 @@
 $lang['Help'] = 'مساعدة';
 $lang['Identification'] = 'الخصوصية';
-$lang['Photos only RSS feed'] = 'التغذية الراجعه للصورةRSS';
+$lang['Photos only RSS feed'] = 'التغذية الراجعه للصورة RSS';
 $lang['Keyword'] = 'كلمة مفتاحية';
 $lang['Links'] = 'روابط';
@@ -102,5 +102,5 @@
 $lang['Registration'] = 'التسجيل';
 $lang['Related tags'] = 'الكلمات الدلائلية';
-$lang['Reset'] = 'إعادة';
+$lang['Reset'] = 'إستعادة';
 $lang['Retrieve password'] = 'استرجاع كلمة المرور';
 $lang['Search rules'] = 'قواعد البحث';
@@ -113,10 +113,10 @@
 $lang['Tag'] = 'كلمة دلائلية';
 $lang['Tags'] = 'الكلمات الدلائلية';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'استخدم خدمةالتغذية الراجعه RSS للحصول التحديثات الجديدة من تعليقات و اضافات في هذا الموقع';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'استخدم خدمة التغذية الراجعه RSS للحصول التحديثات الجديدة من تعليقات و اضافات في هذا الموقع';
 $lang['Unknown feed identifier'] = 'التغذية غير معرفة';
 $lang['User comments'] = 'آخر التلعيقات في المعرض';
 $lang['Username'] = 'أسم المستخدم';
 $lang['Visits'] = 'الزوار';
-$lang['Webmaster'] = 'مدير الموقع';
+$lang['Webmaster'] = 'مدير المعرض';
 $lang['Week %d'] = 'اسبوع %d';
 $lang['About Piwigo'] = 'لماذا هذا المعرض؟ ';
@@ -148,5 +148,5 @@
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'لم يتم اعتماد تعليقك لانه مخالف لقواعد التعليقات';
 $lang['An administrator must authorize your comment before it is visible.'] = 'لن يطول انتظارك حتى ترى تعليقك هنا بعد مراجعة الادارة.';
-$lang['This login is already used by another user'] = 'يبدو ان هناك مستخدم آخر  بنفس هذا المعلومات';
+$lang['This login is already used by another user'] = 'يبدو ان هناك مستخدم آخر بنفس هذا المعلومات';
 $lang['Comments'] = 'التعليقات';
 $lang['Add a comment'] = ' أترك تعليقك هنا ';
@@ -227,5 +227,5 @@
 $lang['Next'] = 'التالي';
 $lang['no rate'] = 'لم يتم تقيم الصورة';
-$lang['Photos posted within the last %d day.'] = 'عناصراضيفت في آخر  %d يوم.';
+$lang['Photos posted within the last %d day.'] = 'عناصر اضيفت في آخر  %d يوم.';
 $lang['Photos posted within the last %d days.'] = 'صور ادخلت في آخر %d الايام.';
 $lang['password updated'] = 'تم تغير كلمة المرور ';
@@ -233,5 +233,5 @@
 /* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['photo'] = 'صورة';
 $lang['Click on the photo to see it in high definition'] = 'اضغط على الصورة كي ترى الابعاد الحقيقية لها';
-$lang['Show file metadata'] = 'اظهر الملعومات الفوتوغرافية للصورة';
+$lang['Show file metadata'] = 'اظهر المعلومات الفوتوغرافية للصورة';
 $lang['Powered by'] = 'بدعم من';
 $lang['Preferences'] = 'التفضيلات';
@@ -246,6 +246,6 @@
 $lang['Redirection...'] = 'إعادة التوجيه .....';
 $lang['Please, enter a login'] = 'من فضلك ، سجل دخولك';
-$lang['login mustn\'t end with a space character'] = 'login mustn\'t end with a space character';
-$lang['login mustn\'t start with a space character'] = 'login mustn\'t start with a space character';
+$lang['login mustn\'t end with a space character'] = 'لا يمكن تسجيل الدخول بترك مسافه خاليه';
+$lang['login mustn\'t start with a space character'] = 'لا يمكن تسجيل الدخول بالبدء بمسافه حرف خاليه';
 $lang['this login is already used'] = 'this login is already used';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'mail address must be like xxx@yyy.eee (example : jack@altern.org)';
@@ -265,12 +265,12 @@
 $lang['Search for all terms'] = 'بحث بوسطة جميع البنود ';
 $lang['Search for any term'] = 'بحث بواسطة أي بند';
-$lang['Empty query. No criteria has been entered.'] = 'الاسعلام فارغ .. ماذا تريد أن تفعل ؟!!.';
+$lang['Empty query. No criteria has been entered.'] = 'الاستعلام فارغ .. ماذا تريد أن تفعل ؟!!.';
 $lang['Search results'] = 'نتائج البحث ';
 $lang['Search in sub-albums'] = 'بحث في الألبومات الفرعية';
-$lang['searched words : %s'] = 'نتيجة البحث حسب الكلمات .. : %s';
+$lang['searched words : %s'] = 'نتيجة البحث عن .. : %s';
 $lang['Contact'] = 'إتصل بـ';
 $lang['set as album representative'] = 'تحديد فئة الصفة او النموذج';
 $lang['Show number of comments'] = 'اظهر عدد التعليقات';
-$lang['Show number of hits'] = 'اظهرعدد الزيارت';
+$lang['Show number of hits'] = 'اظهر عدد الزيارت';
 $lang['slideshow'] = 'عرض الشرائح';
 $lang['stop the slideshow'] = 'ايقاف العرض';
@@ -278,5 +278,5 @@
 $lang['SQL queries in'] = 'استفسارات في SQL';
 $lang['display only recently posted photos'] = 'اعرض الصور المضافة حديثا';
-$lang['return to the display of all photos'] = 'العدوة لعرض جميع الصورة';
+$lang['return to the display of all photos'] = 'العودة لعرض جميع الصورة';
 $lang['the beginning'] = 'البداية';
 $lang['Interface theme'] = 'واجة العرض';
@@ -287,5 +287,5 @@
 $lang['Update your rating'] = 'تحديث تقييمك';
 $lang['the username must be given'] = 'اسم المستخدم ضروري';
-$lang['useful when password forgotten'] = ' ضرورية في حال نسيانك كلمة المرور';
+$lang['useful when password forgotten'] = 'مهم ( لاستعاده كلمه المرور حال فقدانها )ـ';
 $lang['Quick search'] = 'بحث سريع';
 $lang['Connected user: %s'] = 'الاتصال بالمستخدم: %s';
@@ -319,13 +319,13 @@
 $lang['%d photos are also linked to current tags'] = '%d صور لها اتباط بــ';
 $lang['display photos linked to this tag'] = 'شاهد الصورة التي لها اتباط بالكلمات الدلائلية ';
-$lang['photos posted during the last %d days'] = 'صور الايــ%dــام الاخيرة ';
+$lang['photos posted during the last %d days'] = 'صور الايــ %d ــام الاخيرة ';
 $lang['Piwigo Help'] = 'الدعم الفني ';
 $lang['Rank'] = 'الألبوم';
 $lang['group by letters'] = 'عرض الكلمات في مجموعات';
 $lang['letters'] = 'الرسائل';
-$lang['show tag cloud'] = 'عرض سحابة الكلمات';
+$lang['show tag cloud'] = 'عرض سحابة الكلمات الدلائيه';
 $lang['cloud'] = 'سحابة';
 $lang['Are you sure?'] = 'هل انت متأكد?';
-$lang['Reset to default values'] = 'ارجع للقيم الافتراضية';
+$lang['Reset to default values'] = 'استعاده القيم الافتراضيه';
 $lang['delete all photos from your favorites'] = 'احذف كل الصور من مفضلتي';
 $lang['Sent by'] = 'أرسل بواسطة : ';
@@ -335,11 +335,11 @@
 $lang['Welcome'] = 'مرحبا بك';
 $lang['Welcome to your Piwigo photo gallery!'] = ' Piwigo مرحبا بك في  معرض الصور الخاص بك';
-$lang['... or browse your empty gallery'] = '... أومتصفح معرض الصور فارغ';
+$lang['... or browse your empty gallery'] = '... أو متصفح معرض الصور فارغ';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... أو يرجى تعطيل هذه الرسالة ، وسوف أجد طريقي بنفسي';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'مرحبا بك %s، معرض الصور Piwigo فارغ ';
 $lang['I want to add photos'] = 'أريد أن اضيف صور';
 $lang['Manage this user comment: %s'] = ' %s حرر تعليق المستخدم :';
-$lang['This author modified following comment:'] = 'هذا الكاتب عدل في تعليقه : ';
-$lang['This author removed the comment with id %d'] = 'هذا الكاتب أزال تعليقه : %d';
+$lang['This author modified following comment:'] = 'هذا الكاتب اعاد تحرير تعليقه  : ';
+$lang['This author removed the comment with id %d'] = 'هذا الكاتب حذف تعليقه : %d';
 $lang['html tags are not allowed in login'] = 'اكواد html غير مسموحة في تسجيل الدخول';
 $lang['%d rates'] = '%d التقييم';
@@ -370,3 +370,11 @@
 $lang['Your password has been reset'] = ' تم اعادة تعيين كلمة المرور بنجاج ';
 
+$lang['large'] = 'كبير';
+$lang['medium'] = 'متوسط';
+$lang['original'] = 'الاصلي';
+$lang['small'] = 'صغير';
+$lang['square'] = 'مربع';
+$lang['thumb'] = 'تصفح';
+$lang['xlarge'] = 'كبير جداً';
+$lang['xxlarge'] = 'كبير جدا جداً';
 ?>