Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 12872)
+++ /trunk/themes/clear/theme.css	(revision 12873)
@@ -15,10 +15,10 @@
 }
 
-#menubar DL, .content, #imageToolBar, #derivativeSwitchLink, #derivativeSwitchBox, .header_notes {
+#menubar DL, .content, #imageToolBar, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox, .header_notes {
   background-color: #eeeeee;
 }
 
 /* borders */
-#menubar DL, .content, #imageToolBar, #derivativeSwitchLink, #derivativeSwitchBox {
+#menubar DL, .content, #imageToolBar, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox {
   border: 1px solid #d3d3d3;
 }
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 12872)
+++ /trunk/themes/dark/theme.css	(revision 12873)
@@ -17,5 +17,5 @@
 }
 
-#menubar DL, .content, #imageToolBar, #imageHeaderBar, #derivativeSwitchLink, #derivativeSwitchBox, .header_notes {
+#menubar DL, .content, #imageToolBar, #imageHeaderBar, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox, .header_notes {
 	background-color: #505050;
 }
@@ -35,5 +35,5 @@
 
 /* borders */
-#menubar DL, .content, #derivativeSwitchLink, #derivativeSwitchBox{
+#menubar DL, .content, #derivativeSwitchLink, #derivativeSwitchBox, #sortOrderBox{
 	border: 1px solid #000;
 }
Index: /trunk/themes/default/iconset.css
===================================================================
--- /trunk/themes/default/iconset.css	(revision 12872)
+++ /trunk/themes/default/iconset.css	(revision 12873)
@@ -37,4 +37,5 @@
 .pwg-icon-close {background-position: 0 -52px}
 .pwg-icon-category-edit {background-position: -26px -52px}
+.pwg-icon-sort {background-position: -52px -52px}
 .pwg-icon-category-view-normal {background-position: -156px -52px}
 .pwg-icon-category-view-flat {background-position: -182px -52px}
Index: /trunk/themes/default/template/index.tpl
===================================================================
--- /trunk/themes/default/template/index.tpl	(revision 12872)
+++ /trunk/themes/default/template/index.tpl	(revision 12873)
@@ -5,11 +5,34 @@
 	<ul class="categoryActions">
 {if !empty($image_orders)}
-		<li>{'Sort order'|@translate}: {strip}
-		<select onchange="document.location = this.options[this.selectedIndex].value;">
-			{foreach from=$image_orders item=image_order}
-			<option value="{$image_order.URL}"{if $image_order.SELECTED} selected="selected"{/if}>{$image_order.DISPLAY}</option>
+		<li>{strip}<a href="javascript:toggleSortOrderBox()" id="sortOrderLink" title="{'Sort order'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-sort">&nbsp;</span><span class="pwg-button-text">{'Sort order'|@translate}</span>
+		</a>
+		<div id="sortOrderBox" style="display:none; text-align:left" onclick="toggleSortOrderBox()">
+			{'Sort order'|@translate}:
+			{foreach from=$image_orders item=image_order}<br>
+			{if $image_order.SELECTED}
+			<span>{$image_order.DISPLAY}</span>
+			{else}
+			<a href="{$image_order.URL}" rel="nofollow">{$image_order.DISPLAY}</a>
+			{/if}
 			{/foreach}
-		</select>
-{/strip}</li>
+		</div>
+		{footer_script}{literal}
+function toggleSortOrderBox()
+{
+	var elt = document.getElementById("sortOrderBox"),
+		ePos = document.getElementById("sortOrderLink");
+	if (elt.style.display==="none")
+	{
+		elt.style.position = "absolute";
+		elt.style.left = (ePos.offsetLeft) + "px";
+		elt.style.top = (ePos.offsetTop + ePos.offsetHeight) + "px";
+		elt.style.display="";
+	}
+	else
+		elt.style.display="none";
+}
+		{/literal}{/footer_script}
+		{/strip}</li>
 {/if}
 {if isset($favorite)}
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 12872)
+++ /trunk/themes/default/theme.css	(revision 12873)
@@ -346,6 +346,6 @@
 }
 
-#derivativeSwitchBox {
-	padding: 0.5em;
+#derivativeSwitchBox, #sortOrderBox {
+	padding: 0.5em 1em;
 	border-radius: 4px;
 	z-index: 100;