Index: /trunk/admin/profile.php
===================================================================
--- /trunk/admin/profile.php	(revision 12876)
+++ /trunk/admin/profile.php	(revision 12877)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /trunk/admin/themes/default/template/profile_content.tpl
===================================================================
--- /trunk/admin/themes/default/template/profile_content.tpl	(revision 12876)
+++ /trunk/admin/themes/default/template/profile_content.tpl	(revision 12877)
@@ -82,16 +82,4 @@
         {html_radios name='show_nb_hits' options=$radio_options selected=$NB_HITS}
       </li>
-      <li>
-        <span class="property">
-          <label for="maxwidth">{'Maximum photo width'|@translate}</label>
-        </span>
-        <input type="text" size="4" maxlength="4" name="maxwidth" id="maxwidth" value="{$MAXWIDTH}">
-      </li>
-      <li>
-        <span class="property">
-          <label for="maxheight">{'Maximum photo height'|@translate}</label>
-        </span>
-        <input type="text" size="4" maxlength="4" name="maxheight" id="maxheight" value="{$MAXHEIGHT}">
-      </li>
     </ul>
   </fieldset>
Index: /trunk/admin/themes/default/template/user_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/user_list.tpl	(revision 12876)
+++ /trunk/admin/themes/default/template/user_list.tpl	(revision 12877)
@@ -255,28 +255,4 @@
   </tr>
 
-  <tr>
-    <td>{'Maximum photo width'|@translate}</td>
-    <td>
-      <label><input type="radio" name="maxwidth_action" value="leave" checked="checked"> {'leave'|@translate}</label>
-      <label><input type="radio" name="maxwidth_action" value="unset"> {'unset'|@translate}</label>
-      <label><input type="radio" name="maxwidth_action" value="set" id="maxwidth_action_set"> {'set to'|@translate}</label>
-      <input onmousedown="document.getElementById('maxwidth_action_set').checked = true;"
-             type="text" size="4" maxlength="4" name="maxwidth" value="{$MAXWIDTH}">
-    </td>
-  </tr>
-
-
-  <tr>
-    <td>{'Maximum photo height'|@translate}</td>
-    <td>
-      <label><input type="radio" name="maxheight_action" value="leave" checked="checked"> {'leave'|@translate}</label>
-      <label><input type="radio" name="maxheight_action" value="unset"> {'unset'|@translate}</label>
-      <label><input type="radio" name="maxheight_action" value="set" id="maxheight_action_set"> {'set to'|@translate}</label>
-      <input onmousedown="document.getElementById('maxheight_action_set').checked = true;"
-             type="text" size="4" maxlength="4" name="maxheight" value="{$MAXHEIGHT}">
-    </td>
-  </tr>
-
-
 </table>
 
Index: /trunk/admin/user_list.php
===================================================================
--- /trunk/admin/user_list.php	(revision 12876)
+++ /trunk/admin/user_list.php	(revision 12877)
@@ -386,6 +386,6 @@
   $formfields =
     array('nb_image_page', 'theme', 'language',
-          'recent_period', 'maxwidth', 'expand', 'show_nb_comments',
-          'show_nb_hits', 'maxheight', 'status', 'enabled_high',
+          'recent_period', 'expand', 'show_nb_comments',
+          'show_nb_hits', 'status', 'enabled_high',
           'level');
 
@@ -561,6 +561,4 @@
     array(
       'NB_IMAGE_PAGE' => $_POST['nb_image_page'],
-      'MAXWIDTH' => $_POST['maxwidth'],
-      'MAXHEIGHT' => $_POST['maxheight'],
       'RECENT_PERIOD' => $_POST['recent_period'],
       ));
@@ -572,6 +570,4 @@
     array(
       'NB_IMAGE_PAGE' => $default_user['nb_image_page'],
-      'MAXWIDTH' => $default_user['maxwidth'],
-      'MAXHEIGHT' => $default_user['maxheight'],
       'RECENT_PERIOD' => $default_user['recent_period'],
       ));
Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 12876)
+++ /trunk/profile.php	(revision 12877)
@@ -50,5 +50,5 @@
   {
     $fields = array(
-      'nb_image_page', 'maxwidth', 'maxheight', 'expand',
+      'nb_image_page', 'expand',
       'show_nb_comments', 'show_nb_hits', 'recent_period', 'show_nb_hits'
       );
@@ -125,16 +125,4 @@
     }
 
-    if ($_POST['maxwidth'] != ''
-        and (!preg_match($int_pattern, $_POST['maxwidth'])
-             or $_POST['maxwidth'] < 50))
-    {
-      $errors[] = l10n('Maximum width must be a number superior to 50');
-    }
-    if ($_POST['maxheight']
-         and (!preg_match($int_pattern, $_POST['maxheight'])
-               or $_POST['maxheight'] < 50))
-    {
-      $errors[] = l10n('Maximum height must be a number superior to 50');
-    }
     // periods must be integer values, they represents number of days
     if (!preg_match($int_pattern, $_POST['recent_period'])
@@ -222,5 +210,5 @@
       // update user "additional" informations (specific to Piwigo)
       $fields = array(
-        'nb_image_page', 'language', 'maxwidth', 'maxheight',
+        'nb_image_page', 'language',
         'expand', 'show_nb_comments', 'show_nb_hits', 'recent_period', 'theme'
         );
@@ -269,6 +257,4 @@
       'NB_IMAGE_PAGE'=>$userdata['nb_image_page'],
       'RECENT_PERIOD'=>$userdata['recent_period'],
-      'MAXWIDTH'=>@$userdata['maxwidth'],
-      'MAXHEIGHT'=>@$userdata['maxheight'],
       'EXPAND' =>$userdata['expand'] ? 'true' : 'false',
       'NB_COMMENTS'=>$userdata['show_nb_comments'] ? 'true' : 'false',
Index: /trunk/themes/default/template/profile_content.tpl
===================================================================
--- /trunk/themes/default/template/profile_content.tpl	(revision 12876)
+++ /trunk/themes/default/template/profile_content.tpl	(revision 12877)
@@ -81,16 +81,4 @@
         {html_radios name='show_nb_hits' options=$radio_options selected=$NB_HITS}
       </li>
-      <li>
-        <span class="property">
-          <label for="maxwidth">{'Maximum photo width'|@translate}</label>
-        </span>
-        <input type="text" size="4" maxlength="4" name="maxwidth" id="maxwidth" value="{$MAXWIDTH}">
-      </li>
-      <li>
-        <span class="property">
-          <label for="maxheight">{'Maximum photo height'|@translate}</label>
-        </span>
-        <input type="text" size="4" maxlength="4" name="maxheight" id="maxheight" value="{$MAXHEIGHT}">
-      </li>
     </ul>
   </fieldset>