Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 12877)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 12878)
@@ -272,5 +272,5 @@
     <li>
       <label>
-        <span class="property">{'Sort order'|@translate|@string_format:$pwg->l10n('Activate field "%s"')}</span>
+        <span class="property">{'Sort order'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="index_sort_order_input" {if ($display.index_sort_order_input)}checked="checked"{/if}>
       </label>
Index: /trunk/identification.php
===================================================================
--- /trunk/identification.php	(revision 12877)
+++ /trunk/identification.php	(revision 12878)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
@@ -83,5 +83,4 @@
 $template->assign(
   array(
-    'U_LOST_PASSWORD' => get_root_url().'password.php',
     'U_REDIRECT' => $redirect_to,
 
@@ -90,12 +89,17 @@
     ));
 
-if ($conf['allow_user_registration'])
+if (!$conf['gallery_locked'] && $conf['allow_user_registration'])
 {
   $template->assign('U_REGISTER', get_root_url().'register.php' );
 }
 
+if (!$conf['gallery_locked'])
+{
+  $template->assign('U_LOST_PASSWORD', get_root_url().'password.php' );
+}
+
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['hide_menu_on']) OR !in_array('theIdentificationPage', $themeconf['hide_menu_on']))
+if (!$conf['gallery_locked'] && (!isset($themeconf['hide_menu_on']) OR !in_array('theIdentificationPage', $themeconf['hide_menu_on'])))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/include/functions.inc.php
===================================================================
--- /trunk/include/functions.inc.php	(revision 12877)
+++ /trunk/include/functions.inc.php	(revision 12878)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
@@ -1077,12 +1077,15 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    $conf[ $row['param'] ] = isset($row['value']) ? $row['value'] : '';
-
-    // If the field is true or false, the variable is transformed into a
-    // boolean value.
-    if ($conf[$row['param']] == 'true' or $conf[$row['param']] == 'false')
-    {
-      $conf[ $row['param'] ] = get_boolean($conf[ $row['param'] ]);
-    }
+    $val = isset($row['value']) ? $row['value'] : '';
+    // If the field is true or false, the variable is transformed into a boolean value.
+    if ($val == 'true')
+    {
+      $val = true;
+    }
+    elseif ($val == 'false')
+    {
+      $val = false;
+    }
+    $conf[ $row['param'] ] = $val;
   }
 }
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 12877)
+++ /trunk/language/en_UK/admin.lang.php	(revision 12878)
@@ -98,5 +98,4 @@
 $lang['Action'] = 'Action';
 $lang['Actions'] = "Actions";
-$lang['Activate field "%s"'] = 'Activate field "%s"';
 $lang['Activate icon "%s"'] = 'Activate icon "%s"';
 $lang['Activate icon "new" next to albums and pictures'] = 'Activate icon "new" next to albums and pictures';
Index: /trunk/themes/default/template/about.tpl
===================================================================
--- /trunk/themes/default/template/about.tpl	(revision 12877)
+++ /trunk/themes/default/template/about.tpl	(revision 12878)
@@ -1,4 +1,4 @@
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
   <div class="titrePage">
     <ul class="categoryActions">
Index: /trunk/themes/default/template/comments.tpl
===================================================================
--- /trunk/themes/default/template/comments.tpl	(revision 12877)
+++ /trunk/themes/default/template/comments.tpl	(revision 12878)
@@ -1,4 +1,4 @@
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
 
 <div class="titrePage">
Index: /trunk/themes/default/template/identification.tpl
===================================================================
--- /trunk/themes/default/template/identification.tpl	(revision 12877)
+++ /trunk/themes/default/template/identification.tpl	(revision 12878)
@@ -1,4 +1,4 @@
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
 
 <div class="titrePage">
@@ -48,5 +48,5 @@
   </p>
 
-  <p>
+	<p>
 {if isset($U_REGISTER)}
 		<a href="{$U_REGISTER}" title="{'Register'|@translate}" class="pwg-state-default pwg-button">
@@ -54,8 +54,10 @@
 		</a>
 {/if}
+{if isset($U_LOST_PASSWORD)}
 		<a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" class="pwg-state-default pwg-button">
 			<span class="pwg-icon pwg-icon-lost-password">&nbsp;</span><span>{'Forgot your password?'|@translate}</span>
 		</a>
-  </p>
+{/if}
+	</p>
 
 </form>
Index: /trunk/themes/default/template/index.tpl
===================================================================
--- /trunk/themes/default/template/index.tpl	(revision 12877)
+++ /trunk/themes/default/template/index.tpl	(revision 12878)
@@ -1,5 +1,5 @@
 {$MENUBAR}
 {if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
 <div class="titrePage">
 	<ul class="categoryActions">
Index: /trunk/themes/default/template/notification.tpl
===================================================================
--- /trunk/themes/default/template/notification.tpl	(revision 12877)
+++ /trunk/themes/default/template/notification.tpl	(revision 12878)
@@ -5,5 +5,5 @@
 
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
 
   <div class="titrePage">
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 12877)
+++ /trunk/themes/default/template/picture.tpl	(revision 12878)
@@ -5,5 +5,5 @@
 {if isset($MENUBAR)}
 {$MENUBAR}
-<div id="content" class="pictureContent">
+<div id="content" class="contentWithMenu">
 {/if}
 
Index: /trunk/themes/default/template/profile.tpl
===================================================================
--- /trunk/themes/default/template/profile.tpl	(revision 12877)
+++ /trunk/themes/default/template/profile.tpl	(revision 12878)
@@ -1,4 +1,4 @@
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
 
 <div class="titrePage">
Index: /trunk/themes/default/template/search.tpl
===================================================================
--- /trunk/themes/default/template/search.tpl	(revision 12877)
+++ /trunk/themes/default/template/search.tpl	(revision 12878)
@@ -16,5 +16,5 @@
 
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
 
 	<div class="titrePage">
Index: /trunk/themes/default/template/tags.tpl
===================================================================
--- /trunk/themes/default/template/tags.tpl	(revision 12877)
+++ /trunk/themes/default/template/tags.tpl	(revision 12878)
@@ -1,4 +1,4 @@
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content">
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
 
 <div class="titrePage">
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 12877)
+++ /trunk/themes/default/theme.css	(revision 12878)
@@ -84,5 +84,5 @@
  * Content
  */
-.content {
+.contentWithMenu {
 	margin-left: 20em;  /* = #menubar width + 2em */
 }
@@ -418,10 +418,6 @@
 }
 
-/* only if menubar is shown */
-.pictureContent {
-	margin-left:20em;
-}
-.pictureContent #imageToolBar, 
-.pictureContent #theImage { 
+.contentWithMenu #imageToolBar, 
+.contentWithMenu #theImage { 
 	clear: none;
 }