Index: /trunk/admin/themes/default/template/install.tpl
===================================================================
--- /trunk/admin/themes/default/template/install.tpl	(revision 12885)
+++ /trunk/admin/themes/default/template/install.tpl	(revision 12886)
@@ -286,5 +286,5 @@
         <label>
           <input type="checkbox" name="send_password_by_mail" checked="checked">
-          {'Send my password by email'|@translate}
+          {'Send my connection settings by email'|@translate}
         </label>
       </td>
Index: /trunk/admin/themes/default/template/user_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/user_list.tpl	(revision 12885)
+++ /trunk/admin/themes/default/template/user_list.tpl	(revision 12886)
@@ -14,4 +14,5 @@
 		{/if}
 		<label>{'Email address'|@translate} <input type="text" name="email"></label>
+    <label>{'Send connection settings by email'|@translate} <input type="checkbox" name="send_password_by_mail" value="1" checked="checked"></label>
     <label>&nbsp; <input class="submit" type="submit" name="submit_add" value="{'Submit'|@translate}"></label>
   </fieldset>
Index: /trunk/admin/user_list.php
===================================================================
--- /trunk/admin/user_list.php	(revision 12885)
+++ /trunk/admin/user_list.php	(revision 12886)
@@ -241,4 +241,36 @@
     }
   }
+}
+
+// email notification
+if ( 
+  isset($_POST['submit_add']) 
+  and count($page['errors']) == 0  
+  and !empty($_POST['email']) 
+  and isset($_POST['send_password_by_mail']) 
+  )
+{
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+        
+  $keyargs_content = array(
+    get_l10n_args('Hello %s,', $_POST['login']),
+    get_l10n_args('Thank you for registering at %s!', $conf['gallery_title']),
+    get_l10n_args('', ''),
+    get_l10n_args('Here are your connection settings', ''),
+    get_l10n_args('Username: %s', $_POST['login']),
+    get_l10n_args('Password: %s', $_POST['password']),
+    get_l10n_args('Email: %s', $_POST['email']),
+    get_l10n_args('', ''),
+    get_l10n_args('If you think you\'ve received this email in error, please contact us at %s', get_webmaster_mail_address()),
+    );
+    
+  pwg_mail(
+    $_POST['email'],
+    array(
+      'subject' => '['.$conf['gallery_title'].'] '.l10n('Registration'),
+      'content' => l10n_args($keyargs_content),
+      'content_format' => 'text/plain',
+      )
+    );
 }
 
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 12885)
+++ /trunk/install.php	(revision 12886)
@@ -470,5 +470,8 @@
         get_l10n_args('Welcome to your new installation of Piwigo!', ''),
         get_l10n_args('', ''),
-        get_l10n_args('Here is your password: %s', $admin_pass1),
+        get_l10n_args('Here are your connection settings', ''),
+        get_l10n_args('Username: %s', $admin_name),
+        get_l10n_args('Password: %s', $admin_pass1),
+        get_l10n_args('Email: %s', $admin_mail),
         get_l10n_args('', ''),
         get_l10n_args('Don\'t hesitate to consult our forums for any help: %s', PHPWG_URL),
@@ -478,5 +481,5 @@
         $admin_mail,
         array(
-          'subject' => 'Just another Piwigo gallery',
+          'subject' => l10n('Just another Piwigo gallery'),
           'content' => l10n_args($keyargs_content),
           'content_format' => 'text/plain',
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 12885)
+++ /trunk/language/en_UK/admin.lang.php	(revision 12886)
@@ -647,4 +647,5 @@
 $lang['Send mail on HTML format'] = "Send mail in HTML format";
 $lang['Send mail to users'] = "Send mail to users";
+$lang['Send connection settings by email'] = 'Send connection settings by email';
 $lang['Send'] = "Send";
 $lang['Set as default language for unregistered and new users'] = 'Set as default language for unregistered and new users';
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 12885)
+++ /trunk/language/en_UK/common.lang.php	(revision 12886)
@@ -308,5 +308,5 @@
 $lang['searched words : %s'] = "searched words : %s";
 $lang['Sent by'] = "Sent by";
-$lang['Send my password by email'] = 'Send my password by email';
+$lang['Send my connection settings by email'] = 'Send my connection settings by email';
 $lang['set as album representative'] = "set as album thumbnail";
 $lang['Show file metadata'] = "Show file metadata";
@@ -319,5 +319,5 @@
 $lang['Sort by'] = "Sort by";
 $lang['Sort order'] = "Sort order";
-$lang['Successfully registered, an email with your password has been sent to you. Welcome!'] = 'Successfully registered, an email with your password has been sent to you. Welcome!';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Successfully registered, you will soon receive an email with your connection settings. Welcome!';
 $lang['Specials'] = "Specials";
 $lang['SQL queries in'] = "SQL queries in";
@@ -377,5 +377,8 @@
 $lang['original'] = "Original";
 $lang['Thank you for registering at %s!'] = 'Thank you for registering at %s!';
-$lang['Here is your password: %s'] = 'Here is your password: %s';
+$lang['Here are your connection settings'] = 'Here are your connection settings';
+$lang['Password: %s'] = 'Password: %s';
+$lang['Username: %s'] = 'Username: %s';
+$lang['Email: %s'] = 'Email: %s';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'If you think you\'ve received this email in error, please contact us at %s';
 
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 12885)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 12886)
@@ -844,4 +844,6 @@
 $lang['An error has occured during upgrade.'] = 'Une erreur est survenue pendant la mise à jour.';
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Impossible d\'extraire les fichiers. Veuillez vérifier les permissions des fichiers de votre installation.<br><a href="%s">Cliquez ici pour voir le rapport d\'erreur</a>.';
-$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo ne peut pas récupérer le fichier de mise à jour depuis le serveur'; 
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo ne peut pas récupérer le fichier de mise à jour depuis le serveur';
+$lang['Send connection settings by email'] = 'Envoyer les identifiants par email';
+
 ?>
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 12885)
+++ /trunk/language/fr_CA/common.lang.php	(revision 12886)
@@ -370,8 +370,11 @@
 $lang['Hello %s,'] = 'Bonjour %s,';
 $lang['Thank you for registering at %s!'] = 'Merci pour votre inscription sur %s !';
-$lang['Here is your password: %s'] = 'Votre mot de passe est : %s';
+$lang['Here are your connection settings'] = 'Voici vos identifiants';
+$lang['Password: %s'] = 'Mot de passe : %s';
+$lang['Username: %s'] = 'Nom d\'utilisateur : %s';
+$lang['Email: %s'] = 'Email: %s';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si vous pensez avoir reçu cet email par erreur, veuillez nous contacter %s';
-$lang['Successfully registered, an email with your password has been sent to you. Welcome!'] = 'Inscription réussie, un email avec votre mot de passe vient de vous être envoyé. Bienvenue !';
-$lang['Send my password by email'] = 'Recevoir mon mot de passe par email';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Inscription réussie, vous recevrez bientôt un email avec vos identifiants. Bienvenue !';
+$lang['Send my connection settings by email'] = 'Recevoir mes identifiants par email';
 
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 12885)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 12886)
@@ -844,3 +844,5 @@
 $lang['Photo Sizes'] = 'Tailles de photo';
 $lang['Original Size'] = 'Taille originale';
+$lang['Send connection settings by email'] = 'Envoyer les identifiants par email';
+
 ?>
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 12885)
+++ /trunk/language/fr_FR/common.lang.php	(revision 12886)
@@ -308,5 +308,5 @@
 $lang['searched words : %s'] = 'mots recherchés : %s';
 $lang['Sent by'] = 'Envoyé par';
-$lang['Send my password by email'] = 'Recevoir mon mot de passe par email';
+$lang['Send my connection settings by email'] = 'Recevoir mes identifiants par email';
 $lang['set as album representative'] = 'Choisir comme représentante de cet album';
 $lang['Show file metadata'] = 'Montrer les méta-données du fichier';
@@ -319,5 +319,5 @@
 $lang['Sort by'] = 'Trier selon';
 $lang['Sort order'] = 'Ordre de tri';
-$lang['Successfully registered, an email with your password has been sent to you. Welcome!'] = 'Inscription réussie, un email avec votre mot de passe vient de vous être envoyé. Bienvenue !';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Inscription réussie, vous recevrez bientôt un email avec vos identifiants. Bienvenue !';
 $lang['Specials'] = 'Spéciales';
 $lang['SQL queries in'] = 'requêtes SQL en';
@@ -370,5 +370,8 @@
 $lang['original'] = "Original";
 $lang['Thank you for registering at %s!'] = 'Merci pour votre inscription sur %s !';
-$lang['Here is your password: %s'] = 'Votre mot de passe est : %s';
+$lang['Here are your connection settings'] = 'Voici vos identifiants';
+$lang['Password: %s'] = 'Mot de passe : %s';
+$lang['Username: %s'] = 'Nom d\'utilisateur : %s';
+$lang['Email: %s'] = 'Email: %s';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si vous pensez avoir reçu cet email par erreur, veuillez nous contacter %s';
 
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 12885)
+++ /trunk/register.php	(revision 12886)
@@ -69,5 +69,8 @@
         get_l10n_args('Thank you for registering at %s!', $conf['gallery_title']),
         get_l10n_args('', ''),
-        get_l10n_args('Here is your password: %s', $_POST['password']),
+        get_l10n_args('Here are your connection settings', ''),
+        get_l10n_args('Username: %s', $_POST['login']),
+        get_l10n_args('Password: %s', $_POST['password']),
+        get_l10n_args('Email: %s', $_POST['mail_address']),
         get_l10n_args('', ''),
         get_l10n_args('If you think you\'ve received this email in error, please contact us at %s', get_webmaster_mail_address()),
@@ -83,5 +86,5 @@
         );
         
-      $_SESSION['page_infos'][] = l10n('Successfully registered, an email with your password has been sent to you. Welcome!');
+      $_SESSION['page_infos'][] = l10n('Successfully registered, you will soon receive an email with your connection settings. Welcome!');
     }
     
Index: /trunk/themes/default/template/register.tpl
===================================================================
--- /trunk/themes/default/template/register.tpl	(revision 12885)
+++ /trunk/themes/default/template/register.tpl	(revision 12886)
@@ -49,5 +49,5 @@
       <li>
         <span class="property">
-          <label for="send_password_by_mail">{'Send my password by email'|@translate}</label>
+          <label for="send_password_by_mail">{'Send my connection settings by email'|@translate}</label>
         </span>
         <input type="checkbox" name="send_password_by_mail" id="send_password_by_mail" value="1" checked="checked">